<script type="text/javascript">
	$(document).ready(function(){
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#bt_tgl_awal").val(data.tanggal);
				$("#bt_tgl_akhir").val(data.tanggal);
			}
		});
	}
	
	$('#cari_batal').click(function(){
		var tgl_awal = $("#bt_tgl_awal").val();
		var tgl_akhir = $("#bt_tgl_akhir").val();
		$("#data_batal").load("spv/pengel_kas/tampil_data_batal.php?tgl_awal="+tgl_awal+"&tgl_akhir="+tgl_akhir);
	});
	
	$('#form_cari_batal').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
		
	$('#cari_btkodeaw').click(function(){
		$('#form_cari_batal').dialog('open');
		var tgl_awal = $("#bt_tgl_awal").val();
		var tgl_akhir= $("#bt_tgl_akhir").val();
		
		$.ajax({
			type: "GET",
			url	: "spv/pengel_kas/tampil_batal_aw.php",
			data: "tgl_awal="+tgl_awal+
					"&tgl_akhir="+tgl_akhir,
			timeout	: 3000,
			beforeSend	: function(){
				$("#info_batal").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){				
				$("#info_batal").html(data);
			}
		});
	});
	
	$('#cari_btkodeak').click(function(){
		$('#form_cari_batal').dialog('open');
		var tgl_awal = $("#bt_tgl_awal").val();
		var tgl_akhir= $("#bt_tgl_akhir").val();
		
		$.ajax({
			type	: "GET",
			url	    : "spv/pengel_kas/tampil_batal_ak.php",
			data	: "tgl_awal="+tgl_awal+
					"&tgl_akhir="+tgl_akhir,
			timeout	: 3000,
			beforeSend	: function(){
				$("#info_batal").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){				
				$("#info_batal").html(data);
			}
		});
	});
	
	$("#batal_posting").click(function(){
		batal_posting();
	});
		
	function batal_posting(){
		var kodeaw	    = $("#bt_kodeaw").val();
		var kodeak 	    = $("#bt_kodeak").val();
		var tgl_awal 	= $("#bt_tgl_awal").val();
		var tgl_akhir 	= $("#bt_tgl_akhir").val();
		
		if(kodeaw.length == 0){
			alert("Maaf, Kode BKK awal masih kosong, klik icon di samping Kode BKK awal untuk mencari.");
		    return (false);
        }
		
		if(kodeak.length == 0){
			alert("Maaf, Kode BKK akhir masih kosong, klik icon di samping Kode BKK akhir untuk mencari.");
		    return (false);
        }
		
		$.ajax({
			type	: "POST",
			url	    : "spv/pengel_kas/batal_post.php",
			data	: "kodeaw="+kodeaw+
				    "&kodeak="+kodeak,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$("#bt_kodeaw").val('');
				$("#bt_kodeak").val('');
				$("#data_batal").load("spv/pengel_kas/tampil_data_batal.php?tgl_awal="+tgl_awal+"&tgl_akhir="+tgl_akhir);
			}
		});
	}
	
	$("#tutup_batal").click(function(){		
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
</style>

<?php
include '../../inc/fungsi_tanggal.php';

echo "<table width='100%'>	
	<tr>
		<td>Pengeluaran tanggal : <input type='date' id='bt_tgl_awal' size='10'> sampai dengan <input type='date' id='bt_tgl_akhir' size='10'></td>
		<td><button id='cari_batal'>Cari</button></td>
		<td>Kode BKK : <input type='text' id='bt_kodeaw' size='13' class='input_header' readonly />
			<img src='images/view.png' width='18' height='18' title='Cari Nomor BKK' id='cari_btkodeaw'> sampai dengan	<input type='text'  id='bt_kodeak' size='13' class='input_header' readonly />
			<img src='images/view.png' width='18' height='18' title='Cari Nomor BKK' id='cari_btkodeak'>
		</td>
		<td>
			<button id='batal_posting'>Batal Posting</button>
			<button id='tutup_batal'>Tutup</button>
		</td>
	</tr>
	</table>
	<div id='data_batal'></div>";

echo "<div id='form_cari_batal' title='Pencarian Nomor BKK'>		
		<div id='info_batal' align='center'></div>
	</div>";
?>
